augroup CustomNERDTree
  autocmd VimEnter * if argc() == 1 && isdirectory(argv()[0]) && !exists("s:std_in") | exe 'NERDTree' argv()[0] | wincmd p | ene | endif
  autocmd bufenter * if (winnr("$") == 1 && exists("b:NERDTree") && b:NERDTree.isTabTree()) | q | endif
  autocmd Filetype nerdtree,tagbar setlocal signcolumn=no nocursorline norelativenumber
augroup END

noremap <Leader>d :NERDTreeToggle<CR>
